/* -*- Mode: C++ -*- */

/* Memory.h
 * CMUnited99 (soccer client for Robocup99)
 * Peter Stone <pstone@cs.cmu.edu>
 * Computer Science Department
 * Carnegie Mellon University
 * Copyright (C) 1999 Peter Stone
 *
 * CMUnited-99 was created by Peter Stone, Patrick Riley, and Manuela Veloso
 *
 * You may copy and distribute this program freely as long as you retain this notice.
 * If you make any changes or have any comments we would appreciate a message.
 * For more information, please see http://www.cs.cmu.edu/~robosoccer/
 */

/* $Id: Memory.h,v 1.4 2001/12/20 18:16:24 jens Exp $ */


#ifndef _MEMORY_H_
#define _MEMORY_H_

#include "MemAction.h"
#include "BTeamAction.hh"

class BTeamAction;

namespace cmu {

class Memory : public ActionInfo, public BTeamAction {
public:

  void Initialize(); // depends on the size of the teams

};

/* extern Memory *const Mem; */   /* it's in client.h */

}

#endif
