/*****************************************************************************
 * $RCSfile: CommunicationManager.hh,v $
 * Copyright 2001,2002 Matthias Seekamp, Andreas Daniel, Daniel Stephan,
 *		       Jens Meyer, Robert Adolph
 * 
 * This file is part of BUGSAgent2002
 *
 * BUGSAgent2002 is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * BUGSAgent2002 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with BUGSAgent2002; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *-CVS-Info:-----------------------------------------------------------------
 * Currently locked by: $Locker:  $
 *
 * Last changed:
 * ------------------------------
 * $Author: fastjack $
 * $Date: 2002/04/15 03:24:20 $
 * $Revision: 1.8 $
 *****************************************************************************/


#ifndef _COMMUNICATIONMANAGER_HH
#define _COMMUNICATIONMANAGER_HH

class CommunicationManager {

  const static bool debug = true;

public:

  void broadcast();
  void parse(char *message);

};

#endif

/*
 * $Log: CommunicationManager.hh,v $
 * Revision 1.8  2002/04/15 03:24:20  fastjack
 * BallMessage Klasse fr das Parsen/Generieren von BallInfos gebaut. CommunicationManager aufgerumt.
 *
 * Revision 1.7  2002/04/13 07:59:17  jens
 * German Open 2002 Edition
 *
 * Revision 1.6  2002/03/28 15:49:46  fastjack
 * Ball rumgeschreie vom FCP Agent eingebaut. Ausgaben wieder ausgebaut
 *
 * Revision 1.5  2002/03/28 12:52:11  fastjack
 * Absturzursache eingegrenzt - Player2Player Kommunikation entfernt als schnelle Loesung
 *
 * Revision 1.4  2002/03/15 13:26:00  fastjack
 * Ausgaben entfernt / dem Gouraud Kerl mehr Genauigkeit verschafft und einen boesen BUG entfernt
 *
 * Revision 1.3  2002/03/01 11:18:45  fastjack
 * GPL added
 *
 * Revision 1.2  2002/02/14 19:39:54  fastjack
 * Gouraud Shader verbessert - sind noch Probleme drin leider.
 *
 * Revision 1.1  2002/02/10 10:58:18  fastjack
 * Habe den Code, der sich mit der Kommunikation befasst, in eine neue Klasse
 * CommunicationManager herausgezogen, da die BTeamAction sonst zu gross und
 * unbersichtlich wird.
 *
 */

