/*****************************************************************************
 * $RCSfile: Generating.hh,v $
 * Copyright 2001,2002 Matthias Seekamp, Andreas Daniel, Daniel Stephan,
 *                     Jens Meyer, Robert Adolph
 * 
 * This file is part of BUGSAgent2002
 *
 * BUGSAgent2002 is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * BUGSAgent2002 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with BUGSAgent2002; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *-CVS-Info:-----------------------------------------------------------------
 * Currently locked by: $Locker:  $
 *
 * Last changed:
 * ------------------------------
 * $Author: jens $
 * $Date: 2002/03/12 15:45:30 $
 * $Revision: 1.5 $
 *****************************************************************************/

#ifndef GENERATING_HH
#define GENERATING_HH

#include <fstream.h>
#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>
#include "utils.h"
#include <vector.h>
//#include <String.h>
class PField;

class Generating {
  // Attributes
  private:
  
  // Operations
  public:
  Generating();
  //virtual ~Generating();
  static int get_int(char **str_ptr);
  static float get_float(char **str_ptr);
  static int get_int(char *str);
  static vector<PField> parsing(char* args);
};
//int main(int argc, char* args[]);
class mPoint{
  private:

  public:
  mPoint(int x, int y, int dir, int unum);
  mPoint();
  //virtual ~mPoint();
  int x;
  int y;
  int dir;
  int unum;
};

class PField{
  private:

  public:
  PField(int resx, int rexy, int zyklus, int playmode, mPoint ball, mPoint ownPos, mPoint target, int taktik, int direction, int action, int stamina, int mannschaftsteil, int spielsituation, mPoint opp[11], mPoint tm[10], int closest, int learn1, int learn2, float learn3);
  PField();
  int learn1;
  int learn2;
  float learn3;
  
  int j;
  int k;
  int resx;
  int resy;
  int zyklus;
  int playmode;
  mPoint ball;
  mPoint ownPos;
  mPoint target;
  int taktik;
  int direction;
  int action;
  int stamina;
  int mannschaftsteil;
  int spielsituation;
  mPoint opp[11];
  mPoint tm[10];
  int closest;
};


#endif //GENERATING_HH

